Subject: Re: bug#8187: 24.0.50; Regression: TAB does not indent region

From: Stefan Monnier <[email-masked]>
Date: Sun, 06 Mar 2011 16:35:40 -0500

>  - Set text-mode in the *scratch* buffer. (text-mode).
>  - Select the first 3 lines.
>  - Type <TAB>
[...]
> I think, this is a regression.

Using `indent-region' in Emacs-23 in a text-mode buffer results in
a "staircase" effect (tho it depends whether the text was originally
indented and how), so the Emacs-24 behavior is not really a regression,
just a different failure by deactivating a chunk of code which didn't do
the right thing.  We should probably add an indent-region-function in
text-mode which does (more or less) what you expect (probably it should
do what TAB does on the first line and then apply the same indent step
to all subsequent lines).
Patches welcome,

        Stefan